Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.repository
Interface ISolRSynchroniser

All Known Implementing Classes:
  SolRSynchroniser

    public interface ISolRSynchroniser

We don't use the Hibernate Listeners because we don't want to handle every hibernate operations just a few one (we don't want to check if that class or that one should be sync Synchronise the Gis Object with the full text search engine.

Author:
  David Masclet

Method Summary
`boolean` | `commit()` Send a commit to the full text search engine
`void` | `deleteAll()` /!
`void` | `handleEvent(IEvent event)` handle an event in order to synchronise Data (the event may be add, update, delete a GIS object)
`void` | `optimize()` Send a optimize command to the full text search engine

Method Detail

### handleEvent

    void handleEvent(IEvent event)

  handle an event in order to synchronise Data (the event may be add, update, delete a GIS object)

  Parameters:
    `event` - The event to handle

### commit

    boolean commit()

  Send a commit to the full text search engine

  Returns:
    true if success or false other case. it does not throw exception because the commit may not be required because of the auto commit functionnality in solr. it is up to the caller to deal with this

### optimize

    void optimize()

  Send a optimize command to the full text search engine

### deleteAll

    void deleteAll()

  /!\USE IT WITH CARE/!\ : The Database and The full text search engine may be de-synchronised, because this method does not delete data in Database Delete all the data in the fulltext search engine AND COMMIT

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.